function buscarTipoaboc(b, a){
  const parametros = new FormData();
  parametros.append("txtNom", document.formTipoaboc.txtNom.value);

  $.ajax({
    data:  parametros,
    url:   "busTipoaboc/data.php",
    type:  "post",
    contentType: false,
    processData: false,
    beforeSend: function () {
      alLoad("Consultando...")
    },
    success: function (jsonPhp) {
      const jsonJS = JSON.parse(jsonPhp);

      tblClear("tblTipoaboc");
      jsonJS.tipoaboc.forEach(function(i){
        addRowTipoaboc(i.ta_cod, i.ta_nom);
      });

      $("#tblTipoaboc tbody tr").dblclick(function() {
        selectTipoaboc(a, $(this));
      });

      $("#tblTipoaboc tbody #btnSelecTipoaboc").click(function() {
        selectTipoaboc(a, $(this).parents("tr"));
      });

      alClose();
    }
  });
}

function addRowTipoaboc(cod, nom) {
  const markup =  "<tr>"
                    +"<td>"+cod+"</td>"
                    +"<td>"+nom+"</td>"
                    +"<td><button class='btn btn-sm btn-warning badge' id='btnSelecTipoaboc'>"+textBtnSelec+"</button></td>"
                  +"</tr>";
  $("#tblTipoaboc tbody").append(markup);
}

function selectTipoaboc(a, tr) {
  $("#pills-"+a+"-tab").click();
  /*if (inputProvee == "txtNit") {
    document.thisform.txtNit.value = tr.find("td:eq(0)").text();
    $("form[name='thisform'] #txtNit").trigger("change");
  } else {*/
    $("#"+inputCod).val(tr.find("td:eq(0)").text());
    $("#"+inputCod).trigger("change");
  //}

  //$('html, body').animate( { scrollTop : 0 }, 500 );
  tblClear("tblTipoaboc");
}